<div class="row">
  <div class="col">
    <form [formGroup]="ngForm">
      <div class="col">
        <div class="form-group col-12 col-sm-6 col-md-5 col-lg-6 col-xl-6">
          <label># Reservación</label>
          <div class="input-group">
            <input type="number" class="form-control" formControlName="iInt1" [readonly]="true"
              (change)="changeFolio(inRsrv.value)" #inRsrv>
            <!-- <span class="input-group-append">
              <button class="btn btn-info" (click)="btnHelp('Buscar', modalHelp)">
                <i class="fa fa-search"></i>
              </button>
            </span> -->
            <button class="btn btn-success px-4 ml-2" [disabled]="loading" (click)="btnSelected('ReservacionEx')">
              <i class="fas fa-file-excel mr-2" aria-hidden="true"></i>Exportar
            </button>
          </div>
        </div>
      </div>
      <div class="col" *ngIf="dsBotones">
        <ng-container *ngFor="let item of dataBotones;">
          <button class="btn btn-secondary mr-1 mb-1 px-3" (click)="btnSelected(item)"
            [disabled]="!dsBotones[item.code]">{{ item.name }}</button>
        </ng-container>
      </div>
    </form>
    <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" (selectionChange)="selectedRow($event)" [sort]="true"
      [kendoGridSelectBy]="'HoraMov'" [selectedKeys]="ngFormSelection" [resizable]="true">
      <ng-container *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="FechaMov" title="Fecha" width="110">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.FechaMov | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="HoraMov" title="Hora" width="90">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.HoraMov | hour }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Mov" title="Tipo">
          <!-- <ng-template kendoGridCellTemplate let-dataItem>
        <kendo-dropdownlist [value]="dataItem.Mov" [data]="dsTipos" [textField]="'desc'" [valueField]="'tipo'"
           class="w-100" [readonly]="true" [valuePrimitive]="true">
        </kendo-dropdownlist>
      </ng-template> -->
        </kendo-grid-column>
        <kendo-grid-column field="Usuario" title="Ope."></kendo-grid-column>
        <!-- <kendo-grid-column field="NoFolio" title="# Rsrv."></kendo-grid-column> -->
        <!-- <kendo-grid-column field="tmp" title="Interf."></kendo-grid-column> -->
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
  </div>
  <div class="row col-12 col-sm-12 col-md-6 col-lg-6" *ngIf="dataItem">
    <div class="form-group col-12 col-sm-3 col-md-6 col-lg-4">
      <label>No. Cliente</label>
      <input type="number" class="form-control" [ngModel]="dataItem.NoCliente" readonly>
    </div>
    <div class="form-group col-12 col-sm-5 col-md-6 col-lg-4">
      <label>Apellido(s)</label>
      <input type="text" class="form-control" [ngModel]="dataItem.Apellidos" readonly>
    </div>
    <div class="form-group col-12 col-sm-4 col-md-6 col-lg-4">
      <label>Nombre(s)</label>
      <input type="text" class="form-control" [ngModel]="dataItem.Nombres" readonly>
    </div>
    <div class="form-group col-6 col-sm-5 col-md-6 col-lg-4">
      <label>Agencia</label>
      <input type="text" class="form-control" [ngModel]="dataItem.Agencia" readonly>
    </div>
    <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
      <label>Allot</label>
      <input type="text" class="form-control" [ngModel]="dataItem.Allotment" readonly>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3">
      <label>Subagencia</label>
      <input type="text" class="form-control" [ngModel]="dataItem.ncte" readonly>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3">
      <label>Segmento</label>
      <input type="text" class="form-control" [ngModel]="dataItem.Segmento" readonly>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2">
      <label>T.R.</label>
      <input type="text" class="form-control" [ngModel]="dataItem.treser" readonly>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2">
      <label>F.P.</label>
      <input type="text" class="form-control" [ngModel]="dataItem.FormaPago" readonly>
    </div>
    <div class="form-group col-12 col-sm-8 col-md-6 col-lg-4">
      <label>R.F.C.</label>
      <input type="text" class="form-control" [ngModel]="dataItem.rfc" readonly>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2">
      <label>Empresa</label>
      <input type="text" class="form-control" [ngModel]="dataItem.Empresa" readonly>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2">
      <label>Origen</label>
      <input type="text" class="form-control" [ngModel]="dataItem.Origen" readonly>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3">
      <label>Grupo</label>
      <input type="text" class="form-control" [ngModel]="dataItem.Grupo" readonly>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3">
      <label>Vendedor</label>
      <input type="text" class="form-control" [ngModel]="dataItem.Vendedor" readonly>
    </div>
    <ng-container *ngFor="let item of dsCuentas; let i = index;">
      <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
        <label>Est. {{ i + 1 }}</label>
        <input type="text" class="form-control" [ngModel]="dataItem['estad' + (i + 1)]" readonly>
      </div>
    </ng-container>
    <ng-container *ngFor="let item of dsCuentas;">
      <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
        <label>Cuenta {{ item }}</label>
        <input type="text" class="form-control" [ngModel]="dataItem['Folio' + item]" readonly>
      </div>
    </ng-container>
    <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
      <label>VIP</label>
      <input type="text" class="form-control" [ngModel]="dataItem.VIP" readonly>
    </div>
    <div class="form-group col-6 col-sm-3 col-md-4 col-lg-4">
      <label>Confirmación</label>
      <input type="text" class="form-control" [ngModel]="dataItem.Confirmacion" readonly>
    </div>

    <div class="form-group col-6 col-sm-3 col-md-4 col-lg-3">
      <label>Fecha</label>
      <input type="text" class="form-control" [ngModel]="dataItem.FechaConfirmacion" readonly>
    </div>
    <div class="form-group col-6 col-sm-3 col-md-4 col-lg-3">
      <label>Contrato</label>
      <input type="text" class="form-control" [ngModel]="dataItem.Contrato" readonly>
    </div>
    <div class="row">
      <div class="form-group col-4 col-sm-4 col-md-3 col-lg-2">
        <label>E.A.</label>
        <input type="text" class="form-control" [ngModel]="dataItem.EdoActual" readonly>
      </div>
      <div class="form-group col-4 col-sm-4 col-md-3 col-lg-2">
        <label>Tipo</label>
        <input type="text" class="form-control" [ngModel]="dataItem.tMotivo" readonly>
      </div>
      <div class="form-group col-4 col-sm-4 col-md-4 col-lg-3">
        <label>Motivo</label>
        <input type="text" class="form-control" [ngModel]="dataItem.Motivo" readonly>
      </div>
      <div class="form-group col-12 col-md-6 col-lg-5">
        <label>Razón</label>
        <input type="text" class="form-control" [ngModel]="dataItem.Razon" readonly>
      </div>
    </div>
  </div>
</div>


<ng-template #modalHelp let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h6 class="modal-title">{{ loadHelps }}</h6>
    <button class="close" aria-label="Close" (click)="c()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">

    <app-loading *ngIf="loading">Buscando resultados...</app-loading>

    <div class="animated fadeIn" [ngSwitch]="loadHelps">

      <ng-container *ngSwitchCase="'Cuartos'">
        <div class="row">
          <div class="col">
            <kendo-grid [kendoGridBinding]="dataCuartos" [selectable]="true" [sort]="true" [resizable]="true"
            [kendoGridSelectBy]="'HoraMov'" [selectedKeys]="ngFormSelectionCtos" (selectionChange)="selectioneCtos($event)">
              <kendo-grid-column field="Secuencia" title="Sec." width="70"></kendo-grid-column>
              <kendo-grid-column field="tcuarto" title="Tipo Cto." width="100"></kendo-grid-column>
              <kendo-grid-column field="FechaMov" title="Fecha" width="110">
                <ng-template kendoGridCellTemplate let-dataItem>
                  {{ dataItem.FechaMov | date: formatKendo }}
                </ng-template>
              </kendo-grid-column>
              <kendo-grid-column field="HoraMov" title="Hora" width="100">
                <ng-template kendoGridCellTemplate let-dataItem>
                  {{ dataItem.HoraMov | hour }}
                </ng-template>
              </kendo-grid-column>
              <kendo-grid-column field="Mov" title="Tipo" width="80"></kendo-grid-column>
              <kendo-grid-column field="Usuario" title="Ope." width="80"></kendo-grid-column>
            </kendo-grid>
          </div>
          <div class="col-12 col-lg-6">
            <div class="row" *ngIf="dataItemCtos">
              <div class="form-group col-6 col-sm-3 col-md-4 col-lg-3">
                <label># Rsrv.</label>
                <input type="text" class="form-control" [ngModel]="dataItemCtos.NoFolio" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-4 col-lg-3">
                <label># Ctos</label>
                <input type="text" class="form-control" [ngModel]="dataItemCtos.NoCuartos" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-4 col-lg-3">
                <label>Fec. Ent.</label>
                <input type="text" class="form-control" [ngModel]="dataItemCtos.FechaEntrada" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-4 col-lg-3">
                <label>Fec. Sal.</label>
                <input type="text" class="form-control" [ngModel]="dataItemCtos.FechaSalida" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-4 col-lg-3">
                <label>Adultos</label>
                <input type="number" class="form-control" [ngModel]="dataItemCtos.Adultos" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-4 col-lg-3">
                <label>Juniors</label>
                <input type="number" class="form-control" [ngModel]="dataItemCtos.Juniors" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-4 col-lg-3">
                <label>Menores</label>
                <input type="number" class="form-control" [ngModel]="dataItemCtos.Menores" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-4 col-lg-3">
                <label>Men. C/C</label>
                <input type="number" class="form-control" [ngModel]="dataItemCtos.MenoresCC" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
                <label>Tarifa</label>
                <input type="text" class="form-control" [ngModel]="dataItemCtos.tarifa" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
                <label>Tipo</label>
                <input type="text" class="form-control" [ngModel]="dataItemCtos.Tipo" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
                <label>Moneda</label>
                <input type="text" class="form-control" [ngModel]="dataItemCtos.Moneda" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
                <label>Proc.</label>
                <input type="text" class="form-control" [ngModel]="dataItemCtos.proc" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
                <label>Cuarto</label>
                <input type="text" class="form-control" [ngModel]="dataItemCtos.cuarto" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
                <label>Combina</label>
                <input type="text" class="form-control" [ngModel]="dataItemCtos.Combina" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
                <label>Rev.</label>
                <input type="text" class="form-control" [ngModel]="dataItemCtos.Rev" readonly>
              </div>
              <div class="form-group col-12 col-sm-12 col-md-6 col-lg-8">
                <label>Razón</label>
                <input type="text" class="form-control" [ngModel]="dataItemCtos.Razon" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
                <label>Tipo</label>
                <input type="text" class="form-control" [ngModel]="dataItemCtos.tMotivo" readonly>
              </div>
              <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
                <label>Motivo</label>
                <input type="text" class="form-control" [ngModel]="dataItemCtos.Motivo" readonly>
              </div>
            </div>
          </div>
        </div>

      </ng-container>

      <ng-container *ngSwitchCase="'Depositos'">
        <div class="row">
          <div class="col-12 col-lg-6">
            <kendo-grid [kendoGridBinding]="dataDepositos" [selectable]="true" [sort]="true" [resizable]="true"
            [kendoGridSelectBy]="'HoraMov'" [selectedKeys]="ngFormSelectionDeptos" (selectionChange)="selectionDeptos($event)" style="height: 60vh;">
              <kendo-grid-column field="Secuencia" title="Sec." width="70"></kendo-grid-column>
              <kendo-grid-column field="NoFolio" title="# Rsrv." width="90"></kendo-grid-column>
              <kendo-grid-column field="FechaMov" title="Fecha" width="110">
                <ng-template kendoGridCellTemplate let-dataItem>
                  {{ dataItem.FechaMov | date: formatKendo }}
                </ng-template>
              </kendo-grid-column>
              <kendo-grid-column field="HoraMov" title="Hora" width="100">
                <ng-template kendoGridCellTemplate let-dataItem>
                  {{ dataItem.HoraMov | hour }}
                </ng-template>
              </kendo-grid-column>
              <kendo-grid-column field="Mov" title="Tipo" width="100"></kendo-grid-column>
              <kendo-grid-column field="Usuario" title="Ope." width="100"></kendo-grid-column>
            </kendo-grid>
          </div>
          <div class="col-12 col-lg-6">
            <div class="row" *ngIf="dataItemDeptos">
              <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3">
                <label># Dep.</label>
                <input type="text" class="form-control" [ngModel]="dataItemDeptos.NoDeposito" readonly>
              </div>
              <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3">
                <label>Moneda</label>
                <input type="text" class="form-control" [ngModel]="dataItemDeptos.Moneda" readonly>
              </div>
              <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2">
                <label>T.C.</label>
                <input type="text" class="form-control" [ngModel]="dataItemDeptos.TipoCambio" readonly>
              </div>
              <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3">
                <label>Dep. Neto</label>
                <input type="text" class="form-control" [ngModel]="dataItemDeptos.Neto" readonly>
              </div>
              <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3">
                <label>Com. Deducida</label>
                <input type="text" class="form-control" [ngModel]="dataItemDeptos.Comision" readonly>
              </div>
              <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3">
                <label>Miscelanio</label>
                <input type="text" class="form-control" [ngModel]="dataItemDeptos.Miscelaneo" readonly>
              </div>
              <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2">
                <label>F.P.</label>
                <input type="text" class="form-control" [ngModel]="dataItemDeptos.FormaPago" readonly>
              </div>
              <div class="form-group col-12 col-sm-8 col-md-9 col-lg-9">
                <label>Notas</label>
                <input type="text" class="form-control" [ngModel]="dataItemDeptos.Notas" readonly>
              </div>
              <div class="form-group col-5 col-sm-4 col-md-3 col-lg-3">
                <label>Act.</label>
                <input type="text" class="form-control" [ngModel]="dataItemDeptos.Act" readonly>
              </div>
              <div class="form-group col-12">
                <label>Razón</label>
                <input type="text" class="form-control" [ngModel]="dataItemDeptos.Razon" readonly>
              </div>
            </div>
          </div>
        </div>
      </ng-container>

      <ng-container *ngSwitchCase="'Tarifas'">

        <div class="row h6" *ngIf="dataTarifas && dataTarifas[0]">
          <div class="col-4 col-sm-2 col-md-2 col-lg-2">Proc: <strong> {{ dataTarifas[0].Proc }}</strong></div>
          <div class="col-6 col-sm-4 col-md-2 col-lg-2">Tarifa: <strong> {{ dataTarifas[0].Tarifa }}</strong></div>
          <div class="col-4 col-sm-2 col-md-2 col-lg-2">Tipo: <strong> {{ dataTarifas[0].Tipo }}</strong></div>
          <div class="col-6 col-sm-4 col-md-2 col-lg-2">Desglose: <strong> {{ dataTarifas[0].detalle }}</strong></div>
          <div class="col-12 col-sm-12 col-md-2 col-lg-4">Razón: <strong> {{ dataTarifas[0].Razon }}</strong></div>
        </div>

        <div class="divider"></div>

        <kendo-grid [kendoGridBinding]="dataTarifas" [selectable]="true" [pageSize]="10" [skip]="0"
       [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" [sort]="true" [resizable]="true" style="height: 56vh;"
          *ngIf="!loading">
          <kendo-grid-column field="NoFolio" title="Folio" width="90"></kendo-grid-column>
          <kendo-grid-column field="Secuencia" title="Sec." width="90"></kendo-grid-column>
          <kendo-grid-column field="FechaMov" title="Fecha Mov." width="110">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.FechaMov | date: formatKendo }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="HoraMov" title="Hora" width="90">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.HoraMov | hour }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Operador" title="Ope." width="80"></kendo-grid-column>
          <kendo-grid-column field="Fecha" title="Fecha Tarifa">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.Fecha | date: formatKendo }}
            </ng-template>
          </kendo-grid-column>
          <ng-container *ngFor="let item of arrTariCols; let i = index;">
            <kendo-grid-column field="Adultos" [title]="item" class="text-right" width="120">
              <ng-template kendoGridCellTemplate let-dataItem>
                {{ dataItem.Adultos[i] }}
              </ng-template>
            </kendo-grid-column>
          </ng-container>
          <kendo-grid-column field="Adultos" title="Adicional" class="text-right" width="120">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.Adultos[10] }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Juniors" title="Juniors" class="text-right" width="120">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.Juniors[10] }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Menores" title="Menores" class="text-right" width="120">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.Menores[10] }}
            </ng-template>
          </kendo-grid-column>
        </kendo-grid>
      </ng-container>

      <ng-container *ngSwitchCase="'Requerimientos'">
        <kendo-grid [kendoGridBinding]="dataReqEsp" [selectable]="true" [sort]="true" [resizable]="true"
          style="height: 60vh;">
          <kendo-grid-column field="NoFolio" title="# Rsrv." width="90"></kendo-grid-column>
          <kendo-grid-column field="Secuencia" title="Sec." width="70"></kendo-grid-column>
          <kendo-grid-column field="NumReq" title="# Req." width="80"></kendo-grid-column>
          <kendo-grid-column field="FechaMov" title="Fecha" width="110">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.FechaMov | date: formatKendo }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="HoraMov" title="Hora" width="90">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.HoraMov | hour }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Mov" title="Tipo" width="80"></kendo-grid-column>
          <kendo-grid-column field="Usuario" title="Ope." width="70"></kendo-grid-column>
          <kendo-grid-column field="ReqEsp" title="Código" width="100"></kendo-grid-column>
          <kendo-grid-column field="tCargo" title="Tipo" width="80"></kendo-grid-column>
          <kendo-grid-column field="Folio" title="Cuenta" width="100"></kendo-grid-column>
          <kendo-grid-column field="Cantidad" title="Cantidad" width="100"></kendo-grid-column>
          <kendo-grid-column field="Monto" title="Monto" class="text-right" width="90"></kendo-grid-column>
          <kendo-grid-column field="Moneda" title="Mon." width="70"></kendo-grid-column>
          <kendo-grid-column field="Entregado" title="E.A." width="70"></kendo-grid-column>
        </kendo-grid>
      </ng-container>

      <ng-container *ngSwitchCase="'Cuentas'">
        <kendo-grid [kendoGridBinding]="dataCuentas" [selectable]="true" [sort]="true" [resizable]="true"
          (selectionChange)="selectioneCtos($event)" style="height: 60vh;">
          <kendo-grid-column field="FechaMov" title="Fecha" width="110">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.FechaMov | date: formatKendo }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="HoraMov" title="Hora" width="100">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.HoraMov | hour }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Mov" title="Tipo" width="80"></kendo-grid-column>
          <kendo-grid-column field="Clase" title="Clase" width="90"></kendo-grid-column>
          <kendo-grid-column field="Usuario" title="Ope." width="80"></kendo-grid-column>
          <kendo-grid-column field="NoFolio" title="# Rsrv." width="90"></kendo-grid-column>
        </kendo-grid>
      </ng-container>

      <ng-container *ngSwitchCase="'Cargos'">
        <kendo-grid [kendoGridBinding]="dataCargos" [selectable]="true" [sort]="true" [resizable]="true"
          style="height: 60vh;">
          <kendo-grid-column field="NoFolio" title="# Rsrv." width="90"></kendo-grid-column>
          <kendo-grid-column field="Secuencia" title="Sec." width="80"></kendo-grid-column>
          <kendo-grid-column field="FechaMov" title="Fecha" width="120">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.FechaMov | date: formatKendo }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="HoraMov" title="Hora" width="90">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.HoraMov | hour }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="TM" title="T.M." width="80"></kendo-grid-column>
          <kendo-grid-column field="Usuario" title="Ope." width="90"></kendo-grid-column>
          <kendo-grid-column field="Codigo" title="Cod." width="90"></kendo-grid-column>
          <kendo-grid-column field="tCargo" title="Tipo" width="90"></kendo-grid-column>
          <kendo-grid-column field="tFolio" title="Cuenta" width="100"></kendo-grid-column>
          <kendo-grid-column field="Monto" title="Monto" width="120" class="text-right">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.Monto | currency: 'MXN' }}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Moneda" title="Mon." width="80"></kendo-grid-column>
          <kendo-grid-column field="FechaUltimo" title="Ult. Fecha" width="120">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.FechaUltimo | date: formatKendo }}
            </ng-template>
          </kendo-grid-column>
        </kendo-grid>
      </ng-container>

    </div>
  </div>
  <div class="modal-footer">
    <button class="btn btn-shadow btn-secondary" (click)="c()">Cerrar</button>
  </div>
</ng-template>